| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# BinFileInputStream Class Reference

`#include <BinFileInputStream.hpp>`

Inheritance diagram for BinFileInputStream

[legend]
Collaboration diagram for BinFileInputStream:

[legend]
List of all members.

## Public Methods

| BinFileInputStream (const XMLCh *const fileName)
| BinFileInputStream (const char *const fileName)
| BinFileInputStream (const FileHandle toUse)
virtual | ~BinFileInputStream ()
bool | getIsOpen ()const
unsigned int | getSize ()const
void | reset ()
virtual unsigned int | curPos ()const
virtual unsigned int | readBytes (XMLByte *const toFill,const unsigned int maxToRead)

## Constructor & Destructor Documentation

BinFileInputStream::BinFileInputStream ( | const XMLCh *const fileName )

BinFileInputStream::BinFileInputStream ( | const char *const fileName )

BinFileInputStream::BinFileInputStream ( | const FileHandle toUse )

virtual BinFileInputStream::~BinFileInputStream ( | )`[virtual]`

## Member Function Documentation

virtual unsigned int BinFileInputStream::curPos ( | ) const`[virtual]`

| Reimplemented from BinInputStream.

bool BinFileInputStream::getIsOpen ( | ) const

unsigned int BinFileInputStream::getSize ( | ) const

virtual unsigned int BinFileInputStream::readBytes ( | XMLByte *const toFill,
| const unsigned int maxToRead )`[virtual]`

| Reimplemented from BinInputStream.

void BinFileInputStream::reset ( | )

The documentation for this class was generated from the following file:

- BinFileInputStream.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.